# fn() cpuTime
Returns the cpu time in seconds.

Defined in | <seqan/basic.h>
Signature | `double cpuTime();`

## Return Values

`double` | CPU time stamp in seconds.

## Detailed Description

Calls `clock` to retrieve the processor time used by the running thread. This implies that the thread's processor time does not tick if the thread is suspended. While this has its advantages, benchmarks should generally focus on wall clock time, not processor time. Wall clock time is returned by sysTime.

## Data Races

Thread safety unknown!

## See Also

- sysTime

#### Dox Sources

    /*!
     * @fn cpuTime
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Returns the cpu time in seconds.
     *
     * @signature double cpuTime();
     *
     * @return double CPU time stamp in seconds.
     *
     * Calls <tt>clock</tt> to retrieve the processor time used by the running
     * thread. This implies that the thread's processor time does not tick if the
     * thread is suspended. While this has its advantages, benchmarks should
     * generally focus on wall clock time, not processor time. Wall clock time is
     * returned by sysTime.
     *
     * @see sysTime
     */